Padre::Wx::Progress(3pm)

NAME
Padre::Wx::Progress - Tell the user that we're doing something

SYNOPSIS
  my $object = Padre::Wx::Progress->new($title, $max_count,
               modal => 1,
               lazy  => 1,
               );

  $object->update($done_count, $current_work_text);

DESCRIPTION
Shows a progress bar dialog to tell the user that we're doing something.

METHODS

  new
    my $object = Padre::Wx::Progress->new(
        $title,
        $max_count,
        message => $default_message # optional
        modal => 1,                 # optional
        lazy  => 1,                 # optional
    );

The "new" constructor lets you create a new "Padre::Wx::Progress" object.

$title is the title of the new box.

$max_count contains the highest item-number being processed.

Options:

A default message could be set (in case "update" should be called without text) with the message key. This is overridden by the newest "update" text. Default is an empty message.

Set modal to true to lock other application windows while the progress box is displayed. Default is 0 (non-modal).

Set lazy to true to show the progress dialog only if the whole process takes long enough that the progress box makes sense. Default if 1 (lazy-mode).

All options are optional, Padre will use fixed defaults if they're missing.

Returns a new "Padre::Wx::Progress" or dies on error.

  update
    $progress->update( $value, $text );

Updates the progress bar with a new value and optional with a new text message.

The last message will stay if no new text is specified.

COPYRIGHT & LICENSE
Copyright 2008-2013 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.